Source: elho-base
Section: admin
Priority: extra
Maintainer: Elmar Hoffmann <elho@elho.net>
Build-Depends: cdbs, debhelper (>= 5)
Standards-Version: 3.8.0

Package: elho-base-preconf
Architecture: all
Depends: debconf, elho-tools (>= 3), elho-mta-satellite-preconf | elho-mta-preconf
Conflicts: elho-server-preconf (<< 2)
Replaces: elho-server-preconf (<< 2)
Description: elho base system configuration
 elho base system configuration for every system.
 .
 This package contains preseeding information and configuration files
 for other packages.

Package: elho-base
Architecture: all
Pre-Depends: elho-base-preconf
Depends: adduser, debconf, elho-tools (>= 5), type-handling, elho-mta-satellite | elho-mta, ${meta:Depends}
Conflicts: ${meta:Conflicts}
Description: elho base system configuration
 elho base system configuration for every system.
 .
 This package contains dependencies and conflicts on other packages
 and performs post-installation tasks.
 .
 You have to install elho-base-preconf separately before this package
 to benefit from APT configuration changes and preconfiguration of other
 packages.  You have to make sure conflicting packages are purged and not
 just removed to completely get rid of them.
 The suggested way to achieve this is by running
 apt-get install elho-base-preconf
 apt-get --purge install elho-base

Package: elho-base-dev
Architecture: all
Description: elho system configuration development tools
 elho system configuration.
 .
 This package contains tools required to build the other configuration
 packages.
